FLANG

Public Types | Public Member Functions | Static Public Member Functions | List of all members
fir::detail::LenTypeStorage Struct Reference

The type of a derived type LEN parameter reference. More...

Inheritance diagram for fir::detail::LenTypeStorage:

## Public Types
using | KeyTy = KindTy

## Public Member Functions
bool | operator== (const KeyTy &) const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &)
static LenTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, KindTy)

## Detailed Description

The type of a derived type LEN parameter reference.

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp